## libkf5kface 15.12.1

=== data/CMakeLists.txt ===
#
# Copyright (c) 2010-2014, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

# Under Windows, Haar Cascade XML files used by Face Detection are not installed with OpenCV rules. Why ???
# Tested with OpenCV 2.4.9.
# So we generalize installation of these files directly through libkface.

file(GLOB files "${CMAKE_CURRENT_SOURCE_DIR}/*.xml")
install(FILES ${files}
        DESTINATION ${DATA_INSTALL_DIR}/libkface/haarcascades
)

# ---------------------------------------------------------------

add_custom_command(OUTPUT face-funnel.data
                   COMMAND ${CMAKE_COMMAND} -E tar xz ${CMAKE_CURRENT_SOURCE_DIR}/face-funnel.data.tgz)

add_custom_target(extract_funnel_data ALL DEPENDS face-funnel.data)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/face-funnel.data
        DESTINATION ${DATA_INSTALL_DIR}/libkface/alignment-congealing
)

#add_custom_command(OUTPUT flandmark_model.dat
#                   COMMAND ${CMAKE_COMMAND} -E tar xz ${CMAKE_CURRENT_SOURCE_DIR}/flandmark_model.dat.tgz)
#
#add_custom_target(extract_flandmark_data ALL DEPENDS flandmark_model.dat)
#
#install(FILES ${CMAKE_CURRENT_BINARY_DIR}/flandmark_model.dat
#        DESTINATION ${DATA_INSTALL_DIR}/libkface/alignment-flandmark)

=== src/CMakeLists.txt ===
#
# Copyright (c) 2010-2015, Gilles Caulier, <caulier dot gilles at gmail dot com>
#
# Redistribution and use is allowed according to the terms of the BSD license.
# For details see the accompanying COPYING-CMAKE-SCRIPTS file.

kde_enable_exceptions()

include_directories(${CMAKE_CURRENT_BINARY_DIR}/..
                    ${CMAKE_CURRENT_SOURCE_DIR}/database
                    ${CMAKE_CURRENT_SOURCE_DIR}/database/core
                    ${CMAKE_CURRENT_SOURCE_DIR}/detection
                    ${CMAKE_CURRENT_SOURCE_DIR}/recognition-opencv-lbph
                    ${CMAKE_CURRENT_SOURCE_DIR}/alignment-congealing

#                    ${CMAKE_CURRENT_SOURCE_DIR}/alignment-flandmark
#                    ${CMAKE_CURRENT_SOURCE_DIR}/preprocessing-tantriggs
)

set(kface_LIB_SRCS detection/opencvfacedetector.cpp
                   recognition-opencv-lbph/lbphfacemodel.cpp
                   recognition-opencv-lbph/opencvlbphfacerecognizer.cpp
                   recognition-opencv-lbph/facerec_borrowed.cpp
                   facedetector.cpp
                   libkface_debug.cpp
                   identity.cpp
                   dataproviders.cpp
                   alignment-congealing/funnelreal.cpp
                   recognitiondatabase.cpp

#                   alignment-flandmark/flandmarkaligner.cpp
#                   preprocessing-tantriggs/tantriggspreprocessor.cpp
)

set(kface_database_LIB_SRCS database/core/databasecorebackend.cpp
                            database/core/databaseconfigelement.cpp
                            database/core/sqlquery.cpp
                            database/core/dbactiontype.cpp

                            database/databasefaceaccess.cpp
                            database/databasefaceparameters.cpp
                            database/databasefacecontainers.cpp
                            database/databasefaceschemaupdater.cpp
                            database/databasefaceoperationgroup.cpp
                            database/trainingdb.cpp
)

ecm_generate_headers(kface_CamelCase_HEADERS

                     HEADER_NAMES
                     FaceDetector
                     RecognitionDatabase
                     Identity
                     DataProviders

                     PREFIX           KFace
                     REQUIRED_HEADERS kface_HEADERS
)

add_library(KF5KFace SHARED ${kface_LIB_SRCS} ${kface_database_LIB_SRCS})
add_library(KF5::KFace ALIAS KF5KFace)

configure_file(${CMAKE_CURRENT_SOURCE_DIR}/libopencv.h.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/libopencv.h)

generate_export_header(KF5KFace BASE_NAME libkface EXPORT_MACRO_NAME LIBKFACE_EXPORT)

target_include_directories(KF5KFace INTERFACE 
                           "$<INSTALL_INTERFACE:${KF5_INCLUDE_INSTALL_DIR}/KFace;${KF5_INCLUDE_INSTALL_DIR}/KFace/kface>"
                           "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}/..>"
)

target_link_libraries(KF5KFace
                      PRIVATE
                      ${OpenCV_LIBRARIES}

                      PUBLIC
                      Qt5::Gui
                      Qt5::Xml
                      Qt5::Sql
                      Qt5::Widgets
)

set_target_properties(KF5KFace    PROPERTIES
                      VERSION     ${KFACE_VERSION_STRING}
                      SOVERSION   ${KFACE_SOVERSION}
                      EXPORT_NAME KFace
)

install(TARGETS KF5KFace
        EXPORT  KF5KFaceTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS}
)

install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/database/dbfaceconfig.xml
        DESTINATION ${DATA_INSTALL_DIR}/libkface/database
)

install(FILES       ${CMAKE_CURRENT_BINARY_DIR}/libkface_export.h
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KFace/kface
        COMPONENT   Devel
)

install(FILES       ${kface_CamelCase_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KFace/KFace
        COMPONENT   Devel
)

install(FILES       ${kface_HEADERS}
        DESTINATION ${KF5_INCLUDE_INSTALL_DIR}/KFace/kface
        COMPONENT   Devel
)

install(FILES       "${CMAKE_CURRENT_BINARY_DIR}/libkface_version.h"
        DESTINATION "${KF5_INCLUDE_INSTALL_DIR}"
        COMPONENT   Devel
)

## libkf5kface 15.12.0

=== debian/changelog ===
libkf5kface (15.12.0-3) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 31 May 2016 13:04:30 +0200

libkf5kface (15.12.0-2) experimental; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8
  * Update symbols files with the logs from the buildds

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Fri, 06 May 2016 08:34:00 +0200

libkf5kface (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:24:14 +0100

libkface (4:15.04.0-1) experimental; urgency=medium

  [ Maximiliano Curia ]
  * New upstream release (15.04.0).
  * Update symbols files.

  [ Felix Geyer ]
  * Further improve the copyright file, thanks to Scott Kitterman.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:13:47 +0200

libkface (4:14.12.2-2) experimental; urgency=medium

  * Team upload.

  [ Maximiliano Curia ]
  * Add Breaks/Replaces with digikam-data.

  [ Felix Geyre ]
  * Improve the copyright file.

 -- Felix Geyer <fgeyer@debian.org>  Sun, 14 Jun 2015 15:01:53 +0200

libkface (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * Add back kdelibs parent version depend.
  * Fix the maintainer field to the new
    standard for debian git hosted apps.
  * New upstream release
  * Fix kdelibs5 version in build depends.
  * Batchpatch symbols - Removed  #MISSING: 4:14.14.3# (optional=templinst)

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 14:23:09 -0700

libkface (4:14.12.2-1) experimental; urgency=medium

  [ Scarlett Clark ]
  * Add back kdelibs parent version depend.
  * Fix the maintainer field to the new
    standard for debian git hosted apps.

  [ Maximiliano Curia ]
  * Prepare initial Debian release.
  * Update symbols files.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 24 Feb 2015 16:12:46 +0100

libkface (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Add watch file
  * Fix extended description length.
  * batchpatch i386 symbols. Removed 2 missing optional.

 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 09:26:05 -0800

libkface (4:14.12.0-0ubuntu1) vivid; urgency=low

  * Initial release split out from Digikam

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 18 Dec 2014 14:28:50 +0100

=== debian/control ===
Source: libkf5kface
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 1.1.0~),
               libopencv-dev,
               pkg-kde-tools,
               qtbase5-dev (>= 5.2.0~)
Standards-Version: 3.9.8
Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libkface
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkface.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkface.git

Package: libkf5kface-dev
Section: libdevel
Architecture: any
Depends: libkf5kface10.0.0 (= ${binary:Version}), ${misc:Depends}
Description: face recognition and detection library - development files
 Libkface is a Qt/C++ library to perform face recognition
 and detection over pictures.
 .
 This library is used by kipi-plugins, digiKam and
 others Kipi host programs.
 .
 This package contains the development files.

Package: libkf5kface10.0.0
Architecture: any
Depends: libkf5kface-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: face recognition and detection library
 Libkface is a Qt/C++ library to perform face recognition
 and detection over pictures.
 .
 This library is used by kipi-plugins, digiKam and others
 Kipi host programs.

Package: libkf5kface-data
Architecture: all
Depends: ${misc:Depends}
Description: face recognition and detection library
 Libkface is a Qt/C++ library to perform face recognition
 and detection over pictures.
 .
 This library is used by kipi-plugins, digiKam and others
 Kipi host programs.
 .
 This package contains the data files of the LibKFace library.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/libkface-([\d.]+).tar.xz

## libkf5kface 15.12.1

=== debian/changelog ===
libkf5kface (15.12.1-0ubuntu1) xenial; urgency=medium

  * New upsteam release
  * Merging with debian
  * Refreshing symbols

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:28:15 +0100

libkface (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:57:34 +0100

libkface (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:41:14 +0100

libkface (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:47:37 +0100

libkface (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:24:30 +0100

libkface (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * wrap-and-sort 
  * Fix kdelibs version 

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 19:45:29 +0200

=== debian/control ===
--- 
+++ 
@@ -9,10 +9,10 @@
                libopencv-dev,
                pkg-kde-tools,
                qtbase5-dev (>= 5.2.0~)
-Standards-Version: 3.9.8
+Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libkface
-Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/libkface.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/libkface.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkface.git
+Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkface.git
 
 Package: libkf5kface-dev
 Section: libdevel

## libkf5kface 16.04.3

=== debian/changelog ===
libkf5kface (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release.
  * Debian merge: No remaining changes. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * New upstream bugfix release.

  [ Clive Johnston ]
  * New upstream release 16.04.2
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:45:38 +0200

libkf5kface (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * Give intel license a shortname 
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:19:29 -0700

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 1.1.0~),
+               extra-cmake-modules (>= 5.24.0~),
                libopencv-dev,
                pkg-kde-tools,
-               qtbase5-dev (>= 5.2.0~)
+               qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libkface
-Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/applications/libkface.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/applications/libkface.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkface
+Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkface
 
 Package: libkf5kface-dev
 Section: libdevel

## libkf5kface 16.12.3

=== debian/changelog ===
libkf5kface (16.12.3-0ubuntu1) zesty; urgency=low

  [ Darin Miller ]
  * New upstream release (16.12.2)

  [ José Manuel Santamaría Lema ]
  * New upstream release (16.12.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 10 Mar 2017 21:24:59 +0000

libkf5kface (16.12.1-0ubuntu1) zesty; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 19 Jan 2017 16:13:41 +0000

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Uploaders: Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
-               extra-cmake-modules (>= 5.24.0~),
+               extra-cmake-modules (>= 5.31.0~),
                libopencv-dev,
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6
 Homepage: https://projects.kde.org/projects/kde/kdegraphics/libs/libkface
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkface
-Vcs-Git: git://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkface
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/libkface
 
 Package: libkf5kface-dev
 Section: libdevel

## libkf5kface 17.04.3

=== debian/changelog ===
libkf5kface (17.04.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)
  * Update symbols

  [ Rik Mills ]
  * Update symbols from build logs for GCC7

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 18 Aug 2017 08:28:57 +0100

libkf5kface (16.12.3-0ubuntu2) artful; urgency=medium

  * Build with OpenCV 3.

 -- Mattia Rizzolo <mapreri@ubuntu.com>  Mon, 19 Jun 2017 19:45:30 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 2.8.12~),
                debhelper (>= 9),
                extra-cmake-modules (>= 5.31.0~),
-               libopencv-dev,
+               libopencv-dev (>= 3.1.0),
                pkg-kde-tools,
                qtbase5-dev (>= 5.6.1~)
 Standards-Version: 3.9.6

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk

override_dh_auto_configure:
	$(overridden_command) -- -DENABLE_OPENCV3=ON
